<?php

/**
 * Print the world page.
 */
function world_controller_get()
{
	auth_only_and_must_have_character();
	$GLOBALS['active_nav_tab'] = 'world';
	echo page('world/base');
}

/**
 * Handle a request to move a character.
 */
function world_controller_move_post()
{
	auth_only_and_must_have_character(); csrf_ensure();

	// direction must exist
	$direction = $_POST['direction'] ?? false;

	// direction must be valid; 0-3 are sent from the client
	if (!is_numeric($direction) || $direction < 0 || $direction > 3 || $direction === false) router_error(999);

	// Update the character's position
	// 0 = up, 1 = down, 2 = left, 3 = right
	$x = location('x');
	$y = location('y');

	switch ($direction) {
		case 0: $y--; break;
		case 1: $y++; break;
		case 2: $x--; break;
		case 3: $x++; break;
	}

	// Update the character's position
	$r = db_query(db_live(), 'UPDATE char_locations SET x = :x, y = :y WHERE char_id = :c', [
		':x' => $x,
		':y' => $y,
		':c' => char('id')
	]);

	// If the query failed, throw an error
	if ($r === false) throw new Exception('Failed to move character. (wcmp)');

	// If this is an HTMX request, return the new world page
	if (is_htmx()) {
		echo render('pages/world/base');
		exit;
	}

	// Redirect back to the world page
	redirect('/world');
}
